DMTXWRITE(1)

NAME
dmtxwrite - create Data Matrix barcodes

SYNOPSIS
dmtxwrite [OPTION]... [FILE]

DESCRIPTION
dmtxwrite encodes data from a file or standard input, and writes the resulting ECC200 Data Matrix barcode as an image.

OPTIONS

-c, --codewords
    Print codeword listing instead of creating barcode.

-d, --module=N
    Module size in pixels.

-m, --margin=N
    Margin size in pixels.

-e, --encoding=[bfactxe8]
    Encodation scheme.
       b = Best optimized best possible optimization (beta)
       f = Fast optimized basic optimization (not implemented)
       a = ASCII [default] ASCII standard & extended
       c = C40 digits and uppercase
       t = Text digits and lowercase
       x = X12 ANSI X12 EDI
       e = EDIFACT ASCII values 32-94
       8 = Base 256 all byte values 0-255

-f, --format=FORMAT
    Output image format (PNG [default], TIF, GIF, PDF, etc...).

-l, --list-formats
    List available image formats.

-o, --output=FILE
    Barcode output filename. Default is standard output.

-p, --preview
    Print ASCII art preview to standard output.

-r, --resolution=N
    Set image print resolution (dpi).

-s, --symbol-size=[sr|RxC] (default "s")
      Automatic symbol size options:
        s = Auto square r = Auto rectangle
      Manual symbol size options for square symbols:
        10x10 12x12 14x14 16x16 18x18 20x20
        22x22 24x24 26x26 32x32 36x36 40x40
        44x44 48x48 52x52 64x64 72x72 80x80
        88x88 96x96 104x104 120x120 132x132 144x144
      Manually symbol size options for rectangle symbols:
         8x18 8x32 12x26 12x36 16x36 16x48

-C, --color=COLOR
    Barcode color (not implemented).

-B, --bg-color=COLOR
    Background color (not implemented).

-M, --mosaic
    Create non-standard Data Mosaic barcode.

-R, --rotate=DEGREES
    Rotation angle in degrees (not implemented).

-v, --verbose
    Use verbose messages.

-V, --version
    Print program version information.

--help
    Display this help message and quit.

STANDARDS
ISO/IEC 16022:2000

ANSI/AIM BC11 ISS

BUGS
Email bug reports to mike@dragonflylogic.com

AUTHOR
Copyright (C) 2008, 2009 Mike Laughton